Crazy Eddies GUI System: CEGUI::SectionSpecification Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::SectionSpecification Class Reference

Class that represents a simple 'link' to an ImagerySection. More...

Collaboration diagram for CEGUI::SectionSpecification:

[legend]
List of all members.

## Public Member Functions
| SectionSpecification (const String &owner, const String &sectionName)
| Constructor.
| SectionSpecification (const String &owner, const String &sectionName, const ColourRect &cols)
| Constructor.
void | render (Window &srcWindow, float base_z, const ColourRect *modcols=0, const Rect *clipper=0, bool clipToDisplay=false) const
| Render the section specified by this SectionSpecification.
void | render (Window &srcWindow, const Rect &baseRect, float base_z, const ColourRect *modcols=0, const Rect *clipper=0, bool clipToDisplay=false) const
| Render the section specified by this SectionSpecification.
const String & | getOwnerWidgetLookFeel () const
| Return the name of the WidgetLookFeel object containing the target section.
const String & | getSectionName () const
| Return the name of the target ImagerySection.
const ColourRect & | getOverrideColours () const
| Return the current override colours.
void | setOverrideColours (const ColourRect &cols)
| Set the override colours to be used by this SectionSpecification.
bool | isUsingOverrideColours () const
| return whether the use of override colours is enabled on this SectionSpecification.
void | setUsingOverrideColours (bool setting=true)
| Enable or disable the use of override colours for this section.
void | setOverrideColoursPropertySource (const String &property)
| Set the name of the property where override colour values can be obtained.
void | setOverrideColoursPropertyIsColourRect (bool setting=true)
| Set whether the override colours property source represents a full ColourRect.
void | writeXMLToStream (OutStream &out_stream) const
| Writes an xml representation of this SectionSpecification to out_stream.
## Protected Member Functions
void | initColourRectForOverride (const Window &wnd, ColourRect &cr) const
| Helper method to initialise a ColourRect with appropriate values according to the way the section sepcification is set up.

## Detailed Description

Class that represents a simple 'link' to an ImagerySection.

This class enables sections to be easily re-used, by different states and/or layers, by allowing sections to be specified by name rather than having mutiple copies of the same thing all over the place.

## Constructor & Destructor Documentation

CEGUI::SectionSpecification::SectionSpecification | ( | const String & | owner,
|  | const String & | sectionName
| ) |

  | Constructor. Parameters:
  | owner | String holding the name of the WidgetLookFeel object that contains the target section.
  | sectionName | String holding the name of the target section.

CEGUI::SectionSpecification::SectionSpecification | ( | const String & | owner,
|  | const String & | sectionName,
|  | const ColourRect & | cols
| ) |

  | Constructor. Parameters:
  | owner | String holding the name of the WidgetLookFeel object that contains the target section.
  | sectionName | String holding the name of the target section.
  | cols | Override colours to be used (modulates sections master colours).

## Member Function Documentation

const ColourRect & CEGUI::SectionSpecification::getOverrideColours | ( |  | ) | const

| Return the current override colours. Returns: ColourRect holding the colours that will be modulated with the sections master colours if colour override is enabled on this SectionSpecification.

const String & CEGUI::SectionSpecification::getOwnerWidgetLookFeel | ( |  | ) | const

| Return the name of the WidgetLookFeel object containing the target section. Returns: String object holding the name of the WidgetLookFeel that contains the target ImagerySection.

const String & CEGUI::SectionSpecification::getSectionName | ( |  | ) | const

| Return the name of the target ImagerySection. Returns: String object holding the name of the target ImagerySection.

void CEGUI::SectionSpecification::initColourRectForOverride | ( | const Window & | wnd,
|  | ColourRect & | cr
| ) | const`[protected]`

| Helper method to initialise a ColourRect with appropriate values according to the way the section sepcification is set up. This will try and get values from multiple places: a property attached to wnd the integral d_coloursOverride values. or default to colour(1,1,1,1);

bool CEGUI::SectionSpecification::isUsingOverrideColours | ( |  | ) | const

| return whether the use of override colours is enabled on this SectionSpecification. Returns: true if override colours will be used for this SectionSpecification. false if override colours will not be used for this SectionSpecification.

void CEGUI::SectionSpecification::render | ( | Window & | srcWindow,
|  | const Rect & | baseRect,
|  | float | base_z,
|  | const ColourRect * | modcols = `0`,
|  | const Rect * | clipper = `0`,
|  | bool | clipToDisplay = `false`
| ) | const

  | Render the section specified by this SectionSpecification. Parameters:
  | srcWindow | Window object to be used when calculating pixel values from BaseDim values.
  | baseRect | Rect object to be used when calculating pixel values from BaseDim values.
  | base_z | base z co-ordinate to use for all imagery in the linked section.
Returns: Nothing.

void CEGUI::SectionSpecification::render | ( | Window & | srcWindow,
|  | float | base_z,
|  | const ColourRect * | modcols = `0`,
|  | const Rect * | clipper = `0`,
|  | bool | clipToDisplay = `false`
| ) | const

  | Render the section specified by this SectionSpecification. Parameters:
  | srcWindow | Window object to be used when calculating pixel values from BaseDim values.
  | base_z | base z co-ordinate to use for all imagery in the linked section.
Returns: Nothing.

void CEGUI::SectionSpecification::setOverrideColours | ( | const ColourRect & | cols | ) |

  | Set the override colours to be used by this SectionSpecification. Parameters:
  | cols | ColourRect describing the override colours to set for this SectionSpecification.
Returns: Nothing.

void CEGUI::SectionSpecification::setOverrideColoursPropertyIsColourRect | ( | bool | setting = `true` | ) |

  | Set whether the override colours property source represents a full ColourRect. Parameters:
  | setting | true if the override colours property will access a ColourRect object. false if the override colours property will access a colour object.
Returns: Nothing.

void CEGUI::SectionSpecification::setOverrideColoursPropertySource | ( | const String & | property | ) |

  | Set the name of the property where override colour values can be obtained. Parameters:
  | property | String containing the name of the property.
Returns: Nothing.

void CEGUI::SectionSpecification::setUsingOverrideColours | ( | bool | setting = `true` | ) |

  | Enable or disable the use of override colours for this section. Parameters:
  | setting | true if override colours should be used for this SectionSpecification. false if override colours should not be used for this SectionSpecification.
Returns: Nothing.

void CEGUI::SectionSpecification::writeXMLToStream | ( | OutStream & | out_stream | ) | const

  | Writes an xml representation of this SectionSpecification to out_stream. Parameters:
  | out_stream | Stream where xml data should be output.
Returns: Nothing.